Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.dbaseapi
Class FieldDescriptor

    java.lang.Object
      org.deegree.io.dbaseapi.FieldDescriptor

    public class FieldDescriptor

extends Object

Class representing a field descriptor of a dBase III/IV file

Version:
  28.04.2000
Author:
  Andreas Poth

Constructor Summary
`FieldDescriptor(String name, String type, byte fieldlength, byte decimalcount)` constructor recieves name and type of the field, the length of the field in bytes and the decimalcount. the decimalcount is only considered if type id "N" or "F", it's maxvalue if fieldlength - 2!

Method Summary
`byte[]` | `getFieldDescriptor()` method: public byte[] getFieldDescriptor() returns the field descriptor as byte array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDescriptor

    public FieldDescriptor(String name,
                           String type,
                           byte fieldlength,
                           byte decimalcount)
                    throws DBaseException

  constructor recieves name and type of the field, the length of the field in bytes and the decimalcount. the decimalcount is only considered if type id "N" or "F", it's maxvalue if fieldlength - 2!

  Throws:
    `DBaseException`

Method Detail

### getFieldDescriptor

    public byte[] getFieldDescriptor()

  method: public byte[] getFieldDescriptor() returns the field descriptor as byte array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org